- [HTTP request](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v2/folders.locations.muteConfigs/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v2/folders.locations.muteConfigs/patch#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v2/folders.locations.muteConfigs/patch#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v2/folders.locations.muteConfigs/patch#body.request_body)
- [Response body](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v2/folders.locations.muteConfigs/patch#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v2/folders.locations.muteConfigs/patch#body.aspect)
- [Try it!](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v2/folders.locations.muteConfigs/patch#try-it)

Updates a mute config. If no location is specified, default is global.

### IAM Permissions

Requires the following IAM permission on the resource specified in the `muteConfig.name` field:

- `securitycenter.muteconfigs.update`

### HTTP request

Choose an endpoint:
global me-central2 us eu   
`PATCH https://securitycenter.googleapis.com/v2/{muteConfig.name=folders/*/locations/*/muteConfigs/*}`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `muteConfig.name` | `string` Identifier. This field will be ignored if provided on config creation. The following list shows some examples of the format: - `organizations/{organization}/muteConfigs/{muteConfig}` + `organizations/{organization}locations/{location}//muteConfigs/{muteConfig}` - `folders/{folder}/muteConfigs/{muteConfig}` - `folders/{folder}/locations/{location}/muteConfigs/{muteConfig}` - `projects/{project}/muteConfigs/{muteConfig}` - `projects/{project}/locations/{location}/muteConfigs/{muteConfig}` |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` The list of fields to be updated. If empty all mutable fields will be updated. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/security-command-center/docs/reference/rest/v2/folders.locations.muteConfigs#MuteConfig`.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/security-command-center/docs/reference/rest/v2/folders.locations.muteConfigs#MuteConfig`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/securitycenter`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).